// DisableToolbarView.h : interface of the CDisableToolbarView class
//


#pragma once


class CDisableToolbarView : public CFormView
{
protected: // create from serialization only
	CDisableToolbarView();
	DECLARE_DYNCREATE(CDisableToolbarView)

public:
	enum{ IDD = IDD_DISABLETOOLBAR_FORM };

// Attributes
public:
	CDisableToolbarDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CDisableToolbarView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnToolbarRedClick();
	afx_msg void OnToolbarGreenClick();
	afx_msg void OnToolbarBlueClick();

	afx_msg void OnToolbarRedUpdate(CCmdUI *pCmdUI);
	afx_msg void OnToolbarGreenUpdate(CCmdUI *pCmdUI);
	afx_msg void OnToolbarBlueUpdate(CCmdUI *pCmdUI);

	bool bRedEnabled;
	bool bGreenEnabled;
	bool bBlueEnabled;
	bool bob;
};

#ifndef _DEBUG  // debug version in DisableToolbarView.cpp
inline CDisableToolbarDoc* CDisableToolbarView::GetDocument() const
   { return reinterpret_cast<CDisableToolbarDoc*>(m_pDocument); }
#endif

